Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnExceptionCode Class Reference

`#include <gnExceptionCode.h>`

List of all members.

## Public Member Functions
| gnExceptionCode (uint32 code, const char *name)
boolean | operator== (gnExceptionCode &gnec)
boolean | operator!= (gnExceptionCode &gnec)
uint32 | GetInt ()
string | GetName ()
## Private Member Functions
| gnExceptionCode ()
| gnExceptionCode (const gnExceptionCode &gnec)
gnExceptionCode & | operator= (gnExceptionCode &gnec)
## Private Attributes
uint32 | m_code
string | m_name

## Constructor & Destructor Documentation

gnExceptionCode::gnExceptionCode | ( | uint32 | code,
|  | const char * | name
| ) | `[inline]`

| Definition at line 24 of file gnExceptionCode.h.

gnExceptionCode::gnExceptionCode | ( |  | ) | `[private]`

gnExceptionCode::gnExceptionCode | ( | const gnExceptionCode & | gnec | ) | `[private]`

## Member Function Documentation

uint32 gnExceptionCode::GetInt | ( |  | ) | `[inline]`

| Definition at line 12 of file gnExceptionCode.h. References uint32.

string gnExceptionCode::GetName | ( |  | ) | `[inline]`

| Definition at line 13 of file gnExceptionCode.h. Referenced by operator<<().

boolean gnExceptionCode::operator!= | ( | gnExceptionCode & | gnec | ) | `[inline]`

| Definition at line 34 of file gnExceptionCode.h. References m_code.

gnExceptionCode& gnExceptionCode::operator= | ( | gnExceptionCode & | gnec | ) | `[private]`

boolean gnExceptionCode::operator== | ( | gnExceptionCode & | gnec | ) | `[inline]`

| Definition at line 29 of file gnExceptionCode.h. References m_code.

## Member Data Documentation

uint32 gnExceptionCode::m_code`[private]`

| Definition at line 19 of file gnExceptionCode.h. Referenced by operator!=(), and operator==().

string gnExceptionCode::m_name`[private]`

| Definition at line 20 of file gnExceptionCode.h.

The documentation for this class was generated from the following file:

- gnExceptionCode.h